Rivet::Run Class Reference

Interface to handle a run of events read from a HepMC stream or file. More...

`#include <Run.hh>`

## Public Member Functions

Standard constructors and destructors. */
| Run (AnalysisHandler &ah)
| The standard constructor.
| ~Run ()
| The destructor.
Set run properties
Run & | setCrossSection (const double xs)
| Get the cross-section for this run.
double | crossSection () const
| Get the current cross-section from the analysis handler in pb.
Run & | setListAnalyses (const bool dolist)
| Declare whether to list available analyses.
File processing stages
bool | init (const std::string &evtfile, double weight=1.0)
| Set up HepMC file readers (using the appropriate file weight for the first file)
bool | openFile (const std::string &evtfile, double weight=1.0)
| Open a HepMC GenEvent file (using the appropriate file weight for the first file)
bool | readEvent ()
| Read the next HepMC event. More...
bool | processEvent ()
| Handle next event.
bool | finalize ()
| Close up HepMC I/O.

## Detailed Description

Interface to handle a run of events read from a HepMC stream or file.

## Member Function Documentation

bool Rivet::Run::readEvent | ( |  | ) |

Read the next HepMC event.

Todo:
  Clear rather than new the GenEvent object per-event?

References Rivet::fuzzyEquals(), and Rivet::Log::getLog().

Referenced by init().

The documentation for this class was generated from the following files:

- include/Rivet/Run.hh
- src/Core/Run.cc